Bug 128907 - iostat -x 1 5 give bogus statistics...
iostat -x 1 5 give bogus statistics...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On:
Blocks: 156320
  Show dependency treegraph
 
Reported: 2004-07-31 01:04 EDT by Johnray Fuller
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 10:26:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The /proc/stat as a file. (357 bytes, text/plain)
2004-07-31 01:16 EDT, Johnray Fuller
no flags Details
The /proc/partitions file. (870 bytes, text/plain)
2004-07-31 01:17 EDT, Johnray Fuller
no flags Details

  None (edit)
Description Johnray Fuller 2004-07-31 01:04:07 EDT
When using the latest iostat in the sysstat package in the RHEL 3 U3
beta (sysstat-4.0.7-4.EL3.3.i386.rpm), I get very inaccurate readings.

Steps to reproduce:

in a term, start a dd command such as the following:

# dd if=/dev/hda1 of=/dev/null bs=8k

In another term, run the following command.

# iostat -x 1 5

I got results such as the following:

Linux 2.4.21-15.0.3.EL (halfsquatch.mine.nu) 	07/31/2004

avg-cpu:  %user   %nice    %sys   %idle
           3.01    0.09    0.61   96.29

Device:    rrqm/s wrqm/s   r/s   w/s  rsec/s  wsec/s    rkB/s    wkB/s
avgrq-sz avgqu-sz   await  svctm  %util
/dev/hda     3.81   3.88  2.07  2.40   35.07   50.25    17.54    25.13
   19.08     1.46   66.21  41.33  18.49
/dev/hda1    0.21   0.01  0.03  0.00    1.91    0.10     0.96     0.05
   54.10     0.01   30.81   8.28   0.03
/dev/hda2    0.00   0.00  0.00  0.00    0.00    0.00     0.00     0.00
    9.43     0.00   15.68  14.86   0.00
/dev/hda3    0.00   0.00  0.00  0.00    0.00    0.00     0.00     0.00
   10.77     0.00   17.27  15.91   0.00
/dev/hda5    1.61   3.21  1.00  1.85   20.88   40.54    10.44    20.27
   21.60     0.56   19.77   3.39   0.97
/dev/hda6    0.02   0.04  0.10  0.02    0.90    0.49     0.45     0.24
   11.46     0.09   72.49   7.70   0.09
/dev/hda7    0.04   0.04  0.07  0.01    0.69    0.28     0.35     0.14
   11.91     0.16  194.26  18.63   0.15
/dev/hda8    0.00   0.58  0.84  0.51    6.76    8.84     3.38     4.42
   11.51     2.13  156.86  10.60   1.44

avg-cpu:  %user   %nice    %sys   %idle
          33.33    0.00   66.67    0.00

Device:    rrqm/s wrqm/s   r/s   w/s  rsec/s  wsec/s    rkB/s    wkB/s
avgrq-sz avgqu-sz   await  svctm  %util
/dev/hda   89066.67 1600.00 6933.33 266.67 771733.33 15466.67
385866.67  7733.33   109.33 1431639872.00   29.07   4.72 3400.00
/dev/hda1  86000.00   0.00 5733.33  0.00 733866.67    0.00 366933.33 
   0.00   128.00   753.33   12.56   5.93 3400.00
/dev/hda2    0.00   0.00  0.00  0.00    0.00    0.00     0.00     0.00
    0.00     0.00    0.00   0.00   0.00
/dev/hda3    0.00   0.00  0.00  0.00    0.00    0.00     0.00     0.00
    0.00     0.00    0.00   0.00   0.00
/dev/hda5  3066.67 1133.33 1133.33 233.33 37333.33 11200.00 18666.67 
5600.00    35.51  1893.33   89.27  14.63 2000.00
/dev/hda6    0.00   0.00  0.00  0.00    0.00    0.00     0.00     0.00
    0.00     0.00    0.00   0.00   0.00
/dev/hda7    0.00 466.67 66.67 33.33  533.33 4266.67   266.67  2133.33
   48.00   160.00  153.33 160.00 1600.00
/dev/hda8    0.00   0.00  0.00  0.00    0.00    0.00     0.00     0.00
    0.00     0.00    0.00   0.00   0.00

avg-cpu:  %user   %nice    %sys   %idle
           0.00    0.00  100.00    0.00

Device:    rrqm/s wrqm/s   r/s   w/s  rsec/s  wsec/s    rkB/s    wkB/s
avgrq-sz avgqu-sz   await  svctm  %util
/dev/hda   14333.33   0.00 3866.67 100.00 143733.33  266.67 71866.67 
 133.33    36.30 1431641215.33  110.25   8.40 3333.33
/dev/hda1  9000.00   0.00 600.00  0.00 76800.00    0.00 38400.00    
0.00   128.00   680.00  120.00  55.56 3333.33
/dev/hda2    0.00   0.00  0.00  0.00    0.00    0.00     0.00     0.00
    0.00     0.00    0.00   0.00   0.00
/dev/hda3    0.00   0.00  0.00  0.00    0.00    0.00     0.00     0.00
    0.00     0.00    0.00   0.00   0.00
/dev/hda5  5300.00   0.00 3233.33 33.33 66400.00    0.00 33200.00    
0.00    20.33  2956.67  107.14  10.20 3333.33
/dev/hda6    0.00   0.00  0.00  0.00    0.00    0.00     0.00     0.00
    0.00     0.00    0.00   0.00   0.00
/dev/hda7   33.33   0.00 33.33 66.67  533.33  266.67   266.67   133.33
    8.00   146.67  153.33  96.67 966.67
/dev/hda8    0.00   0.00  0.00  0.00    0.00    0.00     0.00     0.00
    0.00     0.00    0.00   0.00   0.00

avg-cpu:  %user   %nice    %sys   %idle
          66.67    0.00   33.33    0.00

Device:    rrqm/s wrqm/s   r/s   w/s  rsec/s  wsec/s    rkB/s    wkB/s
avgrq-sz avgqu-sz   await  svctm  %util
/dev/hda   13500.00   0.00 3900.00  0.00 139466.67    0.00 69733.33  
  0.00    35.76 1431641215.33   91.37   8.55 3333.33
/dev/hda1  7000.00   0.00 466.67  0.00 59733.33    0.00 29866.67    
0.00   128.00   670.00  135.00  71.43 3333.33
/dev/hda2    0.00   0.00  0.00  0.00    0.00    0.00     0.00     0.00
    0.00     0.00    0.00   0.00   0.00
/dev/hda3    0.00   0.00  0.00  0.00    0.00    0.00     0.00     0.00
    0.00     0.00    0.00   0.00   0.00
/dev/hda5  6500.00   0.00 3433.33  0.00 79733.33    0.00 39866.67    
0.00    23.22  3113.33   85.44   9.71 3333.33
/dev/hda6    0.00   0.00  0.00  0.00    0.00    0.00     0.00     0.00
    0.00     0.00    0.00   0.00   0.00
/dev/hda7    0.00   0.00  0.00  0.00    0.00    0.00     0.00     0.00
    0.00     0.00    0.00   0.00   0.00
/dev/hda8    0.00   0.00  0.00  0.00    0.00    0.00     0.00     0.00
    0.00     0.00    0.00   0.00   0.00

avg-cpu:  %user   %nice    %sys   %idle
          66.67    0.00   33.33    0.00

Device:    rrqm/s wrqm/s   r/s   w/s  rsec/s  wsec/s    rkB/s    wkB/s
avgrq-sz avgqu-sz   await  svctm  %util
/dev/hda   13966.67   0.00 3133.33  0.00 135466.67    0.00 67733.33  
  0.00    43.23 1431639972.00   90.32  10.64 3333.33
/dev/hda1  9000.00   0.00 600.00  0.00 76800.00    0.00 38400.00    
0.00   128.00   670.00  115.00  55.56 3333.33
/dev/hda2    0.00   0.00  0.00  0.00    0.00    0.00     0.00     0.00
    0.00     0.00    0.00   0.00   0.00
/dev/hda3    0.00   0.00  0.00  0.00    0.00    0.00     0.00     0.00
    0.00     0.00    0.00   0.00   0.00
/dev/hda5  4966.67   0.00 2533.33  0.00 58666.67    0.00 29333.33    
0.00    23.16  1870.00   84.47  13.16 3333.33
/dev/hda6    0.00   0.00  0.00  0.00    0.00    0.00     0.00     0.00
    0.00     0.00    0.00   0.00   0.00
/dev/hda7    0.00   0.00  0.00  0.00    0.00    0.00     0.00     0.00
    0.00     0.00    0.00   0.00   0.00
/dev/hda8    0.00   0.00  0.00  0.00    0.00    0.00     0.00     0.00
    0.00     0.00    0.00   0.00   0.00


The following is the /proc/partitions that correlates to this:

major minor  #blocks  name     rio rmerge rsect ruse wio wmerge wsect
wuse running use aveq

   3     0   39070080 hda 319521 588928 5414712 6005840 371059 598820
7758892 39715700 4294967243 28541241 22526844
   3     1   10236208 hda1 5040 31832 294634 58270 680 1137 14680
117940 2 47320 176290
   3     2     151200 hda2 51 260 622 350 23 14 76 810 0 1100 1160
   3     3     158760 hda3 34 188 444 290 10 5 30 470 0 700 760
   3     4          1 hda4 3 0 6 0 0 0 0 0 0 0 0
   3     5    8195008 hda5 153859 249028 3223106 2122090 285214 496175
6259832 6557500 0 1489970 8690410
   3     6    8187448 hda6 14919 2438 138490 140530 3751 5588 75512
1212870 0 143830 1374890
   3     7   10447888 hda7 10678 6372 107282 2218330 1995 6042 43698
243660 0 236040 2461990
   3     8    1693408 hda8 129931 576 1043648 1250700 79386 89859
1365064 31582450 0 2219360 32868000


The following is the /proc/stat that correlates to this:



cpu  463976 14178 94594 14866491 270797 27888 2303
cpu0 463976 14178 94594 14866491 270797 27888 2303
page 2707894 3879457
swap 130430 170633
intr 40115749 15740227 194708 0 2 2 2 6 2 4 2 2 9945787 4106149 0
690638 9438218
disk_io: (3,0):(693251,319529,5414712,373722,7758892) 
ctxt 55391583
btime 1091091959
processes 31370
procs_running 2
procs_blocked 1

The %util is extraordinarlily high but other readings also seem
inaccurate.

This has reproduced on every system I have tried.
Comment 2 Johnray Fuller 2004-07-31 01:16:52 EDT
Created attachment 102332 [details]
The /proc/stat as a file.

Adding /proc/stat as a file...
Comment 3 Johnray Fuller 2004-07-31 01:17:37 EDT
Created attachment 102333 [details]
The /proc/partitions file.

Adding /proc/partitions file...
Comment 9 Charlie Bennett 2004-10-04 15:53:28 EDT

*** This bug has been marked as a duplicate of 134579 ***
Comment 10 Ernie Petrides 2005-05-05 14:54:52 EDT
A fix for this problem was committed to the RHEL3 U6 patch pool
on 22-Apr-2005 (in kernel version 2.4.21-32.2.EL).


*** This bug has been marked as a duplicate of 134579 ***
Comment 17 Red Hat Bugzilla 2005-09-28 10:26:12 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html

Note You need to log in before you can comment on or make changes to this bug.